import { BehaviorSubject, Observable } from 'rxjs';
import { CollectionViewer, DataSource } from '@angular/cdk/collections';
export declare class NtTreeNestedDataSource<T> extends DataSource<T> {
    _data: BehaviorSubject<T[]>;
    data: T[];
    connect(collectionViewer: CollectionViewer): Observable<T[]>;
    disconnect(): void;
}
